/**
 * 字典组件
 */
module.exports = {
  // 包装字典对象，自动往对象key对应的value值中添加value属性，value属性值为key
  wrap(dictValue) {
    dictValue = dictValue || {};

    Object.keys(dictValue).forEach((value) => {
      dictValue[value].value = value;
    });

    return dictValue;
  },
};
