/**
 * 日志组件
 */
const log4js = require('log4js');

log4js.configure({
  appenders: {
    file: {
      type: 'dateFile',
      filename: 'logs/mikujs',
      alwaysIncludePattern: true,
      pattern: 'yyyy-MM-dd.log',
    },
    console: {
      type: 'console',
    },
  },
  categories: {
    default: {
      appenders: ['file', 'console'],
      level: 'debug',
    },
  },
});

module.exports = log4js.getLogger('mikujs');
