/**
 * socket组件
 */
let socket;
let io;

module.exports = {
  init(server) {
    const socketIo = require('socket.io')(server);
    io = socketIo;
    socketIo.on('connection', (sct) => {
      socket = sct;
    });
  },

  on(name, event) {
    socket.on(name, (data) => {
      event(data);
    });
  },

  emit(name, value) {
    io.emit(name, value);
  },
};
