/**
 * extend中间件
 */
const _ = require('../components/lodash');

module.exports = (middlewares, app) => {
  _.forEach(middlewares, (middleware) => {
    app.use(middleware());
  });

  return async (ctx, next) => {
    await next();
  };
};
