/**
 * 加密组件
 */
const crypto = require('crypto');

module.exports = {
  /**
   * md5
   * @param str
   * @param count default 1
   * @returns {Buffer | string}
   */
  md5(str, count) {
    if (arguments.length === 1) {
      count = 1;
    }

    for (let i = 0; i < count; i++) {
      str = crypto.createHash('md5').update(str).digest('hex');
    }

    return str;
  },
};
