/**
 * uuid组件
 */
const uuid = require('uuid');

module.exports = {
  /**
   * 生成uuid
   * @param connector 分隔符 default ''
   * @returns {*}
   */
  generate(connector) {
    connector = connector || '';

    return uuid.v4().replace(new RegExp('-', 'gm'), connector);
  },
};
