/**
 * notFound中间件
 */
const Moment = require('../components/moment');

module.exports = () => async (ctx, next) => {
  if (ctx.status === 404) {
    if (ctx.request.path === '/') {
      ctx.render.success(Moment());
    } else {
      ctx.render.notFoundError();
    }
  } else {
    await next();
  }
};
