/**
 * token中间件
 */
const Token = require('../components/token');

module.exports = () => async (ctx, next) => {
  ctx.state = {};

  const Authorization = ctx.request.header.authorization;

  const encodeToken = Authorization ? Authorization.substring(7) : '';

  let token = {};

  // 如果请求头存在token，需要校验token
  if (encodeToken) {
    token = Token.get(encodeToken);
  }

  ctx.state.token = token;

  await next();
};
